Waiting for engine...
Skip to main content

Bundle Service API Reference - ServiceConfig

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

ServiceConfig

Configure a service

Configure flow service

This endpoint will configure flow elements when they have been installed in the target flow or target integration folder. Enter the Boomi accountId, manywhotenant ID referencing the tenant ID value that the Flow API key is associated with and the JSON request body with the shared web server details.

Currently, we only support configuring flow service elements within a Flow.

Request Body Example:

{
"targetFlowId": "16c04de5-e5ec-475d-8847-2d49d01c7abf",
"sharedWebserverUrl": "https://webserver.boomi.com:8081/fs/SampleFlowService",
"sharedWebserverUsername": "webserveruser",
"sharedWebserverApiToken": "de67858e-7287-4d14-b3e3-e59cf39a9eae"
}

Please, refer to this example workflow to learn more about using Integration with Boomi Flow.

Authorizations:
(Boomi-Platform-JWTBoomi-Platform-API-KeyBoomi-Flow-API-Key)
query Parameters
accountId
required
string

The Platform Account ID to authenticate with

header Parameters
manywhotenant
required
any

The tenant ID value that the Flow API key is associated with

x-boomi-bundle-source
string
Example: swagger

This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream.

Request Body schema: application/json
required
sharedWebserverApiToken
required
string

The API token for authenticating with the shared web server

sharedWebserverUrl
required
string^https?://[a-zA-Z.][^/]*/fs/.*$

The URL of the shared web server that hosts the Flow Service.

sharedWebserverUsername
required
string

The username for authenticating with the shared web server

targetFlowId
required
string

The unique identifier (UUID) of the target Flow where the service will be configured

Responses

Response Schema: application/json
resultCode
string
Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION"

The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.)

resultSubCode
string

Additional sub-code for more specific categorization of the result

serviceTransactionId
string

Unique transaction ID for request tracing and debugging

data
Array of any

Array of response objects

total
integer <int32>

Total count of items in the response

Request samples

Content type
application/json
{
  • "targetFlowId": "string",
  • "sharedWebserverUrl": "string",
  • "sharedWebserverUsername": "string",
  • "sharedWebserverApiToken": "string"
}

Response samples

Content type
application/json
{
  • "resultCode": "OK",
  • "resultSubCode": "string",
  • "serviceTransactionId": "string",
  • "data": [
    • null
    ],
  • "total": 0
}